# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install libSDL-devel libportaudio2-devel pkgconfig(esound) pkgconfig(gthread-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           mhwaveedit
Version:        1.4.24
Release:        alt1_1
Summary:        Sound editing program        
Group:          Sound
License:        GPLv2+
URL:            http://gna.org/projects/mhwaveedit
Source:         https://codeload.github.com/magnush/mhwaveedit/tar.gz/v%{version}#/%{name}-%{version}.tar.gz
Requires:       pulseaudio-daemon
Requires:       icon-theme-hicolor
BuildRequires:  libpulseaudio-devel libalsa-devel libjack-devel
BuildRequires:  libsndfile-devel libsamplerate-devel ladspa_sdk
BuildRequires:  desktop-file-utils
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:  gettext gettext-tools
Source44: import.info

%description
mhWaveEdit is a graphical program for editing sound files. It is completely
free (GPL).

%prep
%setup -q
sed -i '24i #include "int_box.h"' src/sound-pulse.c

%build
%configure

iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
%make_build 

%install
#removal of buildroot is no longer necassary, except for EPEL5
make install DESTDIR=%{buildroot}

%find_lang %{name}
desktop-file-install    \
    --dir %{buildroot}%{_datadir}/applications \
     share/applications/%{name}.desktop

%files -f %{name}.lang
#Upstream has been contacted about incorrect fsf address 2012-08-07
%doc AUTHORS COPYING README BUGS NEWS TODO HACKING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.4.24-alt1_1
- update to new release by fcimport

* Sun Oct 01 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt2_9
- rebuild

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_7
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_6
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_5
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_4
- initial fc import

